#!/usr/bin/env python3.12

import logging

from fastapi import Response

class Utilities:
    def __init__(self):
        self.blocked_response_status = 422
        self.blocked_response_content = None
        pass

    def get_blocked_response(self, path: str | None = None):
        logging.error("Rejected request: Blocked")
        return Response(content=self.blocked_response_content,
        status_code=self.blocked_response_status)

    def get_no_endpoint_found(self, path: str | None = None):
        logging.error("Rejected request: No such endpoint")
        raise HTTPException(detail="Unknown endpoint", status_code=404)



